Last Comment Bug 559258 - Enable Quicktime OOP
: Enable Quicktime OOP
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 2.0 Branch
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 528146
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 20:46 PDT by Benoit Girard (:BenWa)
Modified: 2011-06-15 11:20 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
unaffected


Attachments

Description Benoit Girard (:BenWa) 2010-04-13 20:46:47 PDT
Quicktime can't be enabled for OOP because of the following error. I wonder if forcing certain NPAPI callback to happen from the main thread would fix the problem?

2010-04-13 23:34:12.123 mozilla-runtime[67596:2b03] *** Terminating app due to uncaught exception 'QTMovieInitializedOnWrongThread', reason: 'QTMovie_QuickTime class must be initialized on the main thread.'
*** Call stack at first throw:
(
	0   CoreFoundation                      0x942e4bda __raiseError + 410
	1   libobjc.A.dylib                     0x946a2509 objc_exception_throw + 56
	2   CoreFoundation                      0x9432f9f1 -[NSException raise] + 17
	3   QTKit                               0x97645dff +[QTMovie_QuickTime initialize] + 204
	4   libobjc.A.dylib                     0x9469e510 _class_initialize + 380
	5   libobjc.A.dylib                     0x946a5972 prepareForMethodLookup + 85
	6   libobjc.A.dylib                     0x946a6c17 lookUpMethod + 86
	7   libobjc.A.dylib                     0x9469e367 _class_lookupMethodAndLoadCache + 40
	8   libobjc.A.dylib                     0x9469df13 objc_msgSend + 83
	9   libobjc.A.dylib                     0x9469e510 _class_initialize + 380
	10  libobjc.A.dylib                     0x946a5972 prepareForMethodLookup + 85
	11  libobjc.A.dylib                     0x946a6c17 lookUpMethod + 86
	12  libobjc.A.dylib                     0x9469e367 _class_lookupMethodAndLoadCache + 40
	13  libobjc.A.dylib                     0x9469df13 objc_msgSend + 83
	14  QuickTime Plugin                    0x01faef64 MakeMovieController + 2326
	15  QuickTime Plugin                    0x01fafd88 DoMovieInit + 1717
	16  QuickTime Plugin                    0x01fb047b FinishNewMovieSetup + 122
	17  QuickTime Plugin                    0x01fb1837 instantiateMovie + 836
	18  QuickTime Plugin                    0x01fb4056 NPP_Write + 1193
	19  QuickTime Plugin                    0x01fa3de4 WebHelper_Private_Write + 75
	20  XUL                                 0x00bcc32c _ZN7mozilla7plugins18BrowserStreamChild18DeliverPendingDataEv + 172
	21  XUL                                 0x00bcc449 _ZN7mozilla7plugins18BrowserStreamChild7DeliverEv + 57
	22  XUL                                 0x00d0ba4b _ZN11MessageLoop21DeferOrRunPendingTaskERKNS_11PendingTaskE + 155
	23  XUL                                 0x00d0c9b7 _ZN11MessageLoop6DoWorkEv + 183
	24  XUL                                 0x00d50664 _ZN4base24MessagePumpCFRunLoopBase13RunWorkSourceEPv + 52
	25  CoreFoundation                      0x9425015b __CFRunLoopDoSources0 + 1563
	26  CoreFoundation                      0x9424dc1f __CFRunLoopRun + 1071
	27  CoreFoundation                      0x9424d0f4 CFRunLoopRunSpecific + 452
	28  CoreFoundation                      0x9424cf21 CFRunLoopRunInMode + 97
	29  Foundation                          0x9061f380 -[NSRunLoop(NSRunLoop) runMode:beforeDate:] + 279
	30  XUL                                 0x00d4f2f4 _ZN4base20MessagePumpNSRunLoop5DoRunEPNS_11MessagePump8DelegateE + 116
	31  XUL                                 0x00d4f48a _ZN4base24MessagePumpCFRunLoopBase3RunEPNS_11MessagePump8DelegateE + 74
	32  XUL                                 0x00d0b8c4 _ZN11MessageLoop3RunEv + 68
	33  XUL                                 0x00d1e2a9 _ZN4base6Thread10ThreadMainEv + 137
	34  XUL                                 0x00d3de61 _ZL10ThreadFuncPv + 17
	35  libSystem.B.dylib                   0x98e0ba19 _pthread_start + 345
	36  libSystem.B.dylib                   0x98e0b89e thread_start + 34
)
Comment 1 Benjamin Smedberg [:bsmedberg] 2010-04-14 07:04:30 PDT
Yeah, this is probably another manifestation of needing to switch the main thread and the I/O thread in plugin processes.
Comment 2 Benoit Girard (:BenWa) 2010-04-24 18:31:00 PDT
With the fix for bug 528146 I have quicktime running.
Comment 3 José Jeria 2010-05-14 02:03:55 PDT
Did bug 528146 fix this?
Comment 4 Benoit Girard (:BenWa) 2010-05-18 11:51:00 PDT
Yes, it does run out-of-process. Do we want to support Quicktime OOP?

Can we run Quicktime OOP if we decide not to support CoreAnimation without the suggested InvalidateRect extension?
Comment 5 Benoit Girard (:BenWa) 2011-06-15 11:20:44 PDT
We run Quicktime OOP on 64-bit now, closing.

Note You need to log in before you can comment on or make changes to this bug.